LOG2(3)

NAME
log2, log2f, log2l - base-2 logarithmic function

LIBRARY
Math library (libm, -lm)

SYNOPSIS
#include <math.h>

double log2(double x);
float log2f(float x);
long double log2l(long double x);

    Feature Test Macro Requirements for glibc (see feature_test_macros(7)):

log2(), log2f(), log2l():
    _ISOC99_SOURCE || _POSIX_C_SOURCE >= 200112L

DESCRIPTION
These functions return the base 2 logarithm of x.

RETURN VALUE
On success, these functions return the base 2 logarithm of x.

For special cases, including where x is 0, 1, negative, infinity, or NaN, see log(3).

ERRORS
See math_error(7) for information on how to determine whether an error has occurred when calling these functions.

For a discussion of the errors that can occur for these functions, see log(3).

VERSIONS
These functions first appeared in glibc in version 2.1.

ATTRIBUTES
For an explanation of the terms used in this section, see attributes(7).
Interface | Attribute | Value
 | Thread safety | MT-Safe

STANDARDS
C99, POSIX.1-2001, POSIX.1-2008.

The variant returning double also conforms to SVr4, 4.3BSD.

SEE ALSO
cbrt(3), clog2(3), log(3), log10(3), sqrt(3)